<template>
  <div v-if="released" class="corner-shadow"></div>
  <main>
    <div v-if="!released" style="margin-top: 100px; text-align: center">QR works!</div>
    <div v-else class="ring-background" :style="`background-image: url(${bgImage})`">
      <HeaderView />
      <TheWelcome />
    </div>
  </main>
</template>

<script setup>
import TheWelcome from '@/components/TheWelcome.vue'
import HeaderView from '@/components/HeaderView.vue'
import bgImage from '@/assets/wedding-ring-45.png'

import { ref } from 'vue'
const released = ref(true)
</script>
